package DB::Schema;

use strict;
use warnings;
use Path::Class;
use FindBin;
use lib "$FindBin::Bin/../lib";
use YAML;

use base qw/DBIx::Class::Schema Exporter/;

__PACKAGE__->load_classes;

our $VERSION = '3';

our @EXPORT = qw/schema/;

sub schema {

  # options utilises
  my $attrs   = { debug=>1, add_drop_table => 1, no_comments => 1 };

  my $bin     = dir($FindBin::Bin);
  my $conf    = 'test.yml';
  my $config  = YAML::LoadFile(file($bin->parent, $conf));

  my ($dsn,$user,$pass);
  eval {
    ($dsn, $user, $pass) =
      @{$config->{'DB::Schema'}->{'connect_info'}};
  };

  if ($@ ){
    die "Your DSN line in $conf doesn't look like a valid DSN."
  }

  $dsn =~ s/__HOME__/$FindBin::Bin\/\.\./g;

  my $schema = DB::Schema->connect($dsn, $user, $pass, $attrs);
  return $schema;
}


# Created by DBIx::Class::Schema::Loader v0.04005 @ 2008-07-26 14:42:28
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:Wnl24QpZHlrxXf8VaWr8GA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
