package DB::Schema::Member;

use strict;
use warnings;

use base 'DBIx::Class';

__PACKAGE__->load_components(qw/ResultSetManager Core/);
__PACKAGE__->table("member");
__PACKAGE__->add_columns(
  "id",
  { data_type => "INTEGER", is_nullable => 0, size => undef },
  "username",
  { data_type => "VARCHAR", is_nullable => 0, size => 30 },
  "password",
  { data_type => "VARCHAR", is_nullable => 0, size => 40 },
  "email",
  { data_type => "VARCHAR", is_nullable => 0, size => 100 },
  "url",
  { data_type => "VARCHAR", is_nullable => 0, size => 100 },
  "active",
  { data_type => "INTEGER", is_nullable => 0, size => 1 },
);
__PACKAGE__->set_primary_key("id");
__PACKAGE__->has_many(
  "member_roles",
  "DB::Schema::MemberRole",
  { "foreign.member_id" => "self.id" },
);

__PACKAGE__->many_to_many( roles => 'member_roles', 'role_id' );

sub count_users_where : ResultSet{
  my $self      = shift;
  my $condition = shift;

  my $rs = $self->search($condition);
  return $rs->count;
}
# Created by DBIx::Class::Schema::Loader v0.04005 @ 2008-07-28 20:29:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:RHN3gJdJB9f3ymzF3iKHlA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
