#!/usr/bin/perl

use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";
use DB::Schema;
my $schema = schema();

$schema->storage->debug(1);
$schema->storage->debugfh(
			  IO::File->new('sql.log', 'w')
			 );


#my $users = $schema->resultset('Member')->search( username => { like => 'x%'},
my $users = $schema->resultset('Member')->search( {active => 1},
						  { page => 1,
						    rows => 10,
						  },
						  prefetch => {qw/member_roles roles/},
						);

# Affichage des utilisateurs et de leurs roles
while ( my $u = $users->next ){

  print "Username:" . $u->username . "\n";
  print "Password:" . $u->password . "\n";
  my $roles = $u->roles;
  while( my $r =  $roles->next ){
    print "roles=" . $r->name . "\n";
  }

  print "-"x20 . "\n";
}

print 'nb user total=' . $users->count . "\n";

print "ou encore ...\n";
print "nb nbuser dont le nom se termine par un 'a':" . 
  $schema->resultset('Member')->count_users_where(
						  { username => { like => '%a' } }
						 ) .
  "\n";
