#!/usr/bin/perl


use strict;
use FindBin;
use lib "$FindBin::Bin/../lib";
use DB::Schema;

my $nb_user = 100;
my $schema = schema();

# charge la table Role
$schema->populate('Role', [
			   [ qw/id name/ ],
			   [ '1', 'admin' ],
			   [ '2', 'edit' ],
			   [ '3', 'member' ],
			  ]);


while ($nb_user){

  my $username = get_rand(8);
  my $pass     = get_rand(6);
  my $domain   = get_rand(6);
  my $user_data = {
                     username => $username,
                     password => $pass,
                     email    => $username . '@' .$domain . 'org',
                     url      => 'http://' . $domain . 'org',
                     active   => 1 };

  print '.';

  # Insertion de l'utilisateur
  my $user=$schema->resultset('Member')->create( $user_data );

  # Ajout de role(s) a l'utilisateur
  for (my $r; $r<=int(rand(3)+1);$r++){
    my $role_id = int(rand(3)+1);
    my $role = {
		member_id => $user->id,
		role_id   => $role_id,};
    $schema->resultset('MemberRole')->find_or_create($role);
  }

  $nb_user--;
}
print "\n";


sub get_rand{
  my $nb_letters = shift;

  my $rand;
  while ($nb_letters){
    $rand .= chr(int(rand(26)+97));
    $nb_letters--;
  } 
  return $rand;
}
